import request from '@/utils/request';

// 查询班型列表
export function getClassTypeTableList(query) {
  return request({
    url: '/sch/classType/list',
    method: 'get',
    params: query
  });
}

// 查询班型列表
export function getAllList(query) {
  return request({
    url: '/sch/classType/all',
    method: 'get',
    params: query
  });
}


// 新增班型
export function insertClassType(params) {
  return request({
    url: '/sch/classType',
    method: 'post',
    data: params
  });
}
// 修改班型
export function updateClassType(params) {
  return request({
    url: '/sch/classType',
    method: 'put',
    data: params
  });
}
// 删除班型
export function deleteClassType(ids) {
  return request({
    url: '/sch/classType/' + ids,
    method: 'delete'
  });
}

// 克隆班型
export function cloneClassType(data) {
  return request({
    url: '/sch/classType/clone',
    method: 'post',
    data: data
  });
}

export function batchUpdateProfit(data) {
  return request({
    url: '/sch/classType/profit',
    method: 'post',
    data: data
  });
}
